Doomsday Engine - Bug #2080

[Updater] Crash when parsing the version number information
2015-06-07 13:53 - skyjake

Status: Closed Start date: 2015-06-07
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15.1

Description

VersionlInfo is having a problem with the version numbers where zeroes are omitted.

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0 QtCore 0x0000000106b4blb4 QString::tolInt (bool*, int) const + 20

1 net .dengine.doomsday 0x00000001047€1970 VersionInfo::parseVersionString(de::Str
ing consté&) + 128

2 net .dengine.doomsday 0x000000010488a265 Updater::Instance::handleReply (QNetwork

Reply*) + 1669

The version number parsers should more carefully check that the text they are parsing conforms to expectations.

Associated revisions

Revision d2161a81 - 2015-06-14 14:24 - skyjake

Fixed|Client: Parsing version numbers with fewer than three components

IssuelD #2080

Revision 88f11bd3 - 2015-06-14 14:26 - skyjake

Fixed|Client: Parsing version numbers with fewer than three components

IssuelD #2080

History

#1 - 2015-06-07 14:10 - skyjake

- Description updated

#2 - 2015-06-07 14:10 - skyjake

- Priority changed from Urgent to Normal

#3 - 2015-06-14 14:16 - skyjake

- Status changed from New to In Progress

#4 - 2015-06-14 14:25 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 2015-06-14 14:27 - skyjake

- Status changed from Resolved to Closed
